<?php
namespace Claromentis\Gallery\Controller;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_75d423257ba448155c" . "c97033e61f426f" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9" . "pbWFnZV9saWtlcy5odG1s"), "_4be135064c4d55c13e6af60c45" . "cb1fda" => base64_decode("Z2FsbGVyeS" . "5wZXJtaXNz" . "aW9ucw=="), "_8000500" . "334026c6" . "17596255" . "d3914c33" . "d" => base64_decode("WW91IGRvbid0IGhhdmUgcGVybW" . "lzc2lvbiB0byB2aWV3IHRoaXMg" . "aW1hZ2U="), "_1c8a00652c6c89e9e0a" . "7d896cb82a2bd" => base64_decode("Y29tbWVudHNfY29tcG9" . "uZW50Lm9iamVjdF9pZA" . "=="), "_cd644f263509b" . "3f84690c7c5d4b" . "cdf18" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9pbWFnZV9tZXRhZ" . "GF0YS5odG1s"), "im" . "ag" . "e" => base64_decode("aW1hZ2U" . "="), "_32283335abba069bb099a4714598c2" . "8b" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9pbWFnZV9jb21tZW50cy5odG1" . "s"), "_e05e0022a2e5ad344b9c4a0d3f64e1" . "a5" => base64_decode("bWVz" . "c2Fn" . "ZQ=="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw=" . "="), "_0bc7588938bfc7dc40d438d105dcdf1" . "c" => base64_decode("YWxidW0" . "="), "_5452ca1b18704a7b6c2d7e7a53e4ae" . "47" => base64_decode("Z2FsbGVyeS5ub19pbWFnZ" . "V9pZA=="), "_4b5e91a0a6f" . "7f822ac389ad" . "9a3fb0ee2" => base64_decode("c3VjY2" . "Vzcw=="), "_66e78cb3ecbe9e2ac0ef58fa36e7" . "62bb" => base64_decode("bGlrZXNfY29tcG9uZW50Lm9iam" . "VjdF9pZA=="), "_3c438e5e63445b53f7de51" . "913730eeab" => base64_decode("bnVsbA=" . "="));
use Claromentis\Gallery\GalleryPermissions;
use Claromentis\Core\Application;
use Claromentis\Core\Http\gpc;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Http\TemplaterCallResponse;
use Exception;
use Image;
use ImageAlbum;
use ImageLightbox;
use InvalidArgumentException;
use Claromentis\Core\Http\SymfonyRequest;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use TokenException;
class ImageDetailsController
{
    
    
    
    
    
    
    
    
    
    
    
    
    public function ValidateImage(SymfonyRequest $request)
    {
        global $g_application;
        $_84e255a4ec669726bc592e3153ce97c1 = $g_application[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4be135064c4d55c13e6af60c45c" . "b1fda"]];
        if (!$request->attributes->has($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "m" . "a" . "g" . "e"]) || !$request->attributes->get($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["imag" . "e"])) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5452ca1b18704a7b6c2d7e7a53e4ae" . "47"]));
        }
        $_0813911845a745577176d995fee240ad = $request->attributes->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["imag" . "e"]);
        $image = new Image();
        $image->Load($_0813911845a745577176d995fee240ad);
        if (!$image->GetId() || !$image->GetAlbumId()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5452ca1b18" . "704a7b6c2d7" . "e7a53e4ae47"]));
        }
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumID());
        if (!$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_VIEW) && !$_84e255a4ec669726bc592e3153ce97c1->CanIManageAlbums()) {
            throw new Exception($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_800050033402" . "6c617596255d3" . "914c33d"]);
        }
        $request->attributes->set($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["imag" . "e"], $image);
        $request->attributes->set($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0bc7588938bfc" . "7dc40d438d105d" . "cdf1c"], $_0bc7588938bfc7dc40d438d105dcdf1c);
        return null;
    }
    
    
    
    
    
    
    
    
    public function GetComments(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_1c8a00652c6c89e" . "9e0a7d896cb82a2b" . "d"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_32283335abba069bb099a471459" . "8c28b"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function GetMetadata(Application $app, Image $image)
    {
        
        
        global $args, $datasources;
        
        
        
        
        $_25941f62b00d37649aecb69932bb2fba = [0 => $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_3c438e5e634" . "45b53f7de519" . "13730eeab"]];
        $_e0f99d1e2fd6c8ce39dd84c5242ed7ed = [];
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumId());
        $_95aa76f19a87d9905f9a740fac0bde2e = $image->GetImageTags();
        $_0bc7588938bfc7dc40d438d105dcdf1c->PrepareTagOptions($_e0f99d1e2fd6c8ce39dd84c5242ed7ed, $_25941f62b00d37649aecb69932bb2fba);
        $_0bc7588938bfc7dc40d438d105dcdf1c->GetTagsAsHTML($args, $datasources, $_95aa76f19a87d9905f9a740fac0bde2e, $_e0f99d1e2fd6c8ce39dd84c5242ed7ed);
        $image->ShowMetadataFields($_25941f62b00d37649aecb69932bb2fba, false);
        $_fd5a3a643834299cbdadfc3540ba0bcb = new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_cd644f263509b3f84690c7c5d4bc" . "df18"], $args);
        $_fd5a3a643834299cbdadfc3540ba0bcb->SetDatasrc($datasources);
        return $_fd5a3a643834299cbdadfc3540ba0bcb;
    }
    
    
    
    
    
    
    
    
    public function GetLikes(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_66e78cb3ecbe9e2ac0ef58f" . "a36e762bb"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_75d423257ba448155cc9703" . "3e61f426f"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function Favorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->AddToLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4b5e91a0a6f" . "7f822ac389ad" . "9a3fb0ee2"] => false, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e05e0022a2e5ad344b9c4a0d3" . "f64e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4b5e91a0a6f7f822ac38" . "9ad9a3fb0ee2"] => true]);
    }
    
    
    
    
    
    
    
    
    
    
    public function Unfavorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->DeleteFromLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4b5e91a0a" . "6f7f822ac3" . "89ad9a3fb0" . "ee2"] => false, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e05e0022a2e5ad344b9c4a0d3f6" . "4e1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4b5e91a0a6f7f822" . "ac389ad9a3fb0ee2"] => true]);
    }
}